#pragma once

#include "TapeControlDlg.h"

// CTapeCtrlView

class CTapeCtrlView : public CDockablePane
{
		DECLARE_DYNAMIC(CTapeCtrlView)

	public:
		CTapeCtrlView();
		void AdjustLayout();
		inline CTapeControlDlg *getContainObj()
		{
			return &m_TapeCtrlDlg;
		}
		virtual ~CTapeCtrlView();
	protected:
		CTapeControlDlg m_TapeCtrlDlg;

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnGetMinMaxInfo(MINMAXINFO *lpMMI);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};
